<?= $this->render('escort-profile/escort-head.phtml') ?>
<script type="text/javascript">
	window.onload=function(){
	  showTab('contacts');
	}
</script>
		<?
$DEFINITIONS = Zend_Registry::get('defines');
$about = $this->about;
$rates = $this->rates;
$services = $this->services;
$contacts = $this->contacts;
$additional_cities = $this->additional_cities;
$zones = $this->zones;
?>
<?

function ___date_to_age($timestamp) {

	if ($timestamp === false || is_null($timestamp) || !$timestamp)
		return null;

	if (strpos($timestamp, '-')) {
		$timestamp = strtotime($timestamp);
	}

	list($year, $month, $day) = explode('-', date('Y-m-d', $timestamp));
	$year_diff = date("Y") - $year;
	$month_diff = date("m") - $month;
	$day_diff = date("d") - $day;
	if ($day_diff < 0 || $month_diff < 0)
		$year_diff--;
	return $year_diff;
}
?>
<div id="bio" class="">
	<table class="info">

		<?= $this->printRow('ethnic', @$DEFINITIONS['ethnic_options'][$about->ethnicity]) ?>

		<? // print_row('nationality', $about->{'nationality_title_' . $this->lang()}) ?>

		<?= $this->printRow($this->t('eyes'), @$DEFINITIONS['eye_color_options'][$about->eye_color]) ?>
		<?= $this->printRow($this->t('hair'), @$DEFINITIONS['hair_color_options'][$about->hair_color]) ?>
	<?= $this->printRow($this->t('age'), ___date_to_age($about->birth_date)) ?>
		<?= $this->printRow($this->t('pubic_hair'), @$DEFINITIONS['pubic_hair_options'][$about->pubic_hair]) ?>

	<? $system = Cubix_Application::getById()->measure_units ?>
	<? if ($about->height): ?>
			<tr>
				<td><?= $this->t('height') ?>:</td>
				<th><?= $about->height ?> cm</th>
			</tr>
		<? endif; ?>

	<? if ($about->weight): ?>
				<tr>
					<td><?= $this->t('weight') ?>:</td>
					<th><?= $about->weight ?> kg</th>
				</tr>
		<? endif; ?>

		<?= $this->printRow($this->t("bust-waist-hip"), $about->bust ? "{$about->bust}-{$about->waist}-{$about->hip}" : false) ?>
		<?= $this->printRow($this->t('cup_size'), $about->cup_size) ?>
	<?= $this->printRow($this->t('shoe_size'), $about->shoe_size) ?>
	<?= $this->printRow($this->t('dress_size'), $about->dress_size) ?>
	</table>
</div>

<div id="services" class="none">
	<?php

	 if(count($services) > 0 && is_array($services) && $services[0]->service_id):
	?>
	<table class="info services" cellpadding="0" cellspacing="0">
    <tbody>
        <?

        foreach ( $services as $i => $service ):
            if($service->service_id):
            ?>
        <tr>
            <td class="checked" >
                <div class="checked">
                    <? $service = (object) $service ?>
					<?= @$DEFINITIONS['services']['common'][$service->service_id] ?>
					<?= @$DEFINITIONS['services']['extra'][$service->service_id] ?>
					<?= @$DEFINITIONS['services']['fetish'][$service->service_id] ?>
					<? if ( $service->price ): ?>
					<span><?= __('services_extra_charge') ?> <?= $service->price ?> EUR</span>
					<? endif; ?>
                </div>
            </td>
        </tr>
        <? endif; ?>
        <? endforeach; ?>
        <? $add_services = $this->escort->getAdditionalServices(); ?>
        <? if ( strlen($add_services->{'additional_service_' . $this->lang()}) > 0 ): ?>
            <tr>
                <td>
                    <b><?= $this->t('additional') ?>:</b>

                    <?= $add_services->{'additional_service_' . $this->lang()} ?>
                </td>
            </tr>
        <? endif; ?>



    </tbody>
</table>

 <? else: ?>
    <p>  <?= __('no_services_found') ?></p>
<? endif; ?>
</div>


<div id="rates" class="none">
	<? if ( count($rates) > 0 && is_array($rates) ):
				?>
					<? foreach ( $rates as $k => $rate ): ?>
						<table class="info">
							<tr><td colspan="2" class="head"><?= $DEFINITIONS['available_for'][$k] ?></td></tr>
							<? foreach($rate as $r): ?>
								<tr>
									<td class="w32">
									<? if ( ! $r->type ): ?>
											<?= $r->time ?>
									<? else: ?>
										<?= $this->t($r->type) ?>
									<? endif; ?>
									<?= ( ! $r->type ) ? ' ' . $r->time_unit_title : '' ?>:</td>
									<th><?= number_format($r->price, 2) ?> <?= $r->currency_title ?></th>
								</tr>
							<? endforeach;?>
						</table>
					<? endforeach;?>
					<div class="clear"></div>
		<? else: ?>
		<p>
			<?= __('no_rates_found') ?>
		</p>
	<? endif ?>
</div>

<div id="contacts" class="none">
	<?
$contacts = $this->contacts;
$additional_cities = $this->additional_cities;
$zones = $this->zones;
?>
<?
if($this->message):
    ?>
<p class="green"><?= $this->message?></p>
<?
endif;
?>
<table class="info" cellpadding="0" cellspacing="0">
    <tbody>
        <tr>
            <td class="w50"><?= __('base_city') ?>:</td>
				<th>
					<?= ($contacts->zip) ? $contacts->zip . ' ' : '' ?>
					<a href="<?= $this->getLink('escorts', array('city' => $contacts->country_iso . '_' . $contacts->city_slug, 'filter' => null, 'page' => null)) ?>" class="bold" title="<?= $contacts->{'base_city_' . $this->lang()} ?> <?= $this->t('escorts') ?>">
						<?= $contacts->{'base_city_' . $this->lang()} ?>
					</a>
				</th>
			</tr>

			<? if ( count($additional_cities) > 0 ): ?>
			<tr>
				<td><?= __('available_in') ?>:</td>
				<th>
					<? foreach($additional_cities as $k => $add_city): $seo_cities[] = $add_city->city_title ?>
						<a href="<?= $this->getLink('escorts', array('city' => $add_city->country_iso . '_' . $add_city->city_slug, 'filter' => null, 'page' => null)) ?>"><?= $add_city->city_title ?></a><?php if($k + 1 != count($additional_cities)): ?>,&nbsp;<?php endif;?>
					<? endforeach; ?>
				</th>
			</tr>
			<? endif ?>

			<? if ( count($zones) > 0 ): ?>
			<tr>
				<td><?= __('cityzones') ?>:</td>
				<th>
					<? foreach($zones as $k => $zone): ?>
						<a href="<?= $this->getLink('escorts', array('zone' => $zone->country_iso . '_' . $zone->zone_slug, 'filter' => null, 'page' => null)) ?>"><?= $zone->zone_title ?></a><?php if($k + 1 != count($zones)): ?>,&nbsp;<?php endif;?>
					<? endforeach; ?>
				</th>
			</tr>
			<? endif ?>

			<?= $this->printRow($this->t('club_name'), $contacts->club_name) ?>

			<? if ( $contacts->street && $contacts->street_no ): ?>
			<tr>
				<td></td>
				<th><?= $contacts->street ?>, <?= $contacts->street_no ?></th>
			</tr>
			<? endif; ?>




			<?= $this->printRow($this->t('phone'), $contacts->phone_number ? '<span class="strong">' . $contacts->phone_number . '</span>' : false) ?>
			<?= $this->printRow($this->t('phone_alternative'), $contacts->phone_number_alt) ?>

            <? if ($contacts->email): ?>
			<tr>
				<td><?= $this->t('email') ?>:</td>
				<th class='bold'>
					<div style="display: block; float: left">
						<a style="display: block; width: 82px; height: 18px; outline: none" href="<?= $this->getLink('feedback') . '?to=' . $this->escort->id ?>" onclick="return Cubix.Feedback.Show($(this).getParent(), <?= $this->escort->id ?>, true)">
							<img src='<?= _st($this->lang() . '_btn_contactme.gif') ?>' alt='<?= $this->t('contact_me') ?>' />
						</a>
					</div>
				</th>
			</tr>
			<? endif ?>

			<? if ( $contacts->phone_instr || $contacts->phone_instr_no_withheld): ?>
				<?
					$phone_instr = array(
						'1' => 'sms_and_call',
						'2' => 'sms_only',
						'3' => 'no_sms'
					);

					$instr = '';

					if ( $contacts->phone_instr ) {
						$instr = $this->t($phone_instr[$contacts->phone_instr]);
					}

					if ( $contacts->phone_instr_no_withheld  ) {
                        if($instr == ''){
                            $instr .= $this->t('phone_instr_no_withheld');
                        }else{
                            $instr .= ", " . $this->t('phone_instr_no_withheld');
                        }

					}
				?>
				<tr>
					<td><?= $this->t('phone_instructions')?>: </td>
					<th class='bold'><?= $instr ?></th>
				</tr>
			<? endif; ?>

			<?= $this->printRow($this->t('phone_instructions_other'), $contacts->phone_instr_other) ?>



			<?
            if(!$this->escort->block_website): ?>
			<?= $this->printRow('web', $contacts->website ? '<a href="' . $this->getLink('external-link', array('link' => $contacts->website)) . '" target="_blank" rel="nofollow">' . $contacts->website . '</a>' : false) ?>
            <? endif; ?>

    </tbody></table>

<?
$work_times = $this->work_times;
?>
<br />
<table class="info">
		<? if ( $work_times['available_24_7'] ): ?>
		<thead>
			<tr>
                <td class="head"  colspan="2">
                    <span class="icon"><?= $this->t('working_time') ?></span>
                </td>
			</tr>
		</thead>
		<tr>
			<th align="left">
				<p><?= __('wt_24_7_text') ?></p>
			</th>
		</tr>
		<? endif;?>

		<? if ( $work_times['working_times'] && ! $work_times['available_24_7'] ): ?>
		<thead>
            <tr>
                <td class="head w50" >
                    <span class="icon"><?= $this->t('working_time') ?>:</span>
                </td>
                <td  class="head">
                    <? if ( $this->escort->getIsNowOpen() ): ?>
					<img class="img" src="<?= _st($this->lang() . '_btn_nowopen.gif') ?>" alt="Now open" />
					<? else: ?>
					<img class="img" src="<?= _st($this->lang() . '_btn_closed.gif') ?>" alt="Closed" />
					<? endif ?>
                </td>
            </tr>

		</thead>
		<? ksort($work_times['working_times']); foreach($work_times['working_times'] as $k => $wt): $wt = (object) $wt ?>
			<tr>
				<td><?= $this->getWeekDay($k, $this->lang()); ?>:</td>
				<th><?= ($wt->from < 10) ? '0' . $wt->from : $wt->from ?>:<?= ($wt->from_m < 10) ? '0' . $wt->from_m : $wt->from_m ?> - <?= ($wt->to < 10) ? '0' . $wt->to : $wt->to ?>:<?= ($wt->to_m < 10) ? '0' . $wt->to_m : $wt->to_m ?></th>
			</tr>
		<? endforeach;?>
		<? endif ?>
		</table>

<br />


<?
$tours = $this->tours;


?>

<?
if($tours):
if ( count($tours['current']) > 0 && is_array($tours['current']) ): $tour = $tours['current'][0];

?>
<table class="info">
    <tr>
        <td class="head w41">
            <span class="icon"><?= __('tours') ?></span>
        </td>
    </tr>
    <tr>
            <td><?= $this->t('girl_is_on_tour_in') ?> <span class="red"> <?= $tour->city_title ?> </span> </td>
        </tr>
    <tr>
        <td><?= $this->t('date') ?>:  <b><?= date("F d, Y", strtotime($tour->date_from)) ?> - <?= date("F d, Y", strtotime($tour->date_to)) ?> </b> </td>
    </tr>
    <? if ( $tour->phone ): ?>
    <tr>
        <td><?= $this->t('tour_phone') ?>: <b><?= $tour->phone ?></b></td>
    </tr>
    <? endif;

    ?>
    <tr>
        <td><?= $this->t('status') ?>: <?= $this->t('i_am_right_now_on_tour') ?>. (<?= ( $this->getDaysInBetween(strtotime($tour->date_to), time()) > 0 ) ? $this->getDaysInBetween(strtotime($tour->date_to), time()) . ' ' . $this->t('more_days') : $this->t('today_last_day') ?>)</td>
    </tr>
</table>
<? endif ?>



<? if ( count($tours['upcoming']) > 0 && is_array($tours['upcoming']) ): ?>
<table class="info" cellpadding="0" cellspacing="0">
    <tbody>
        <?

        foreach ( $tours['upcoming'] as $i => $tour ):

            ?>
        <tr>
            <td class="head">
                <span class="icon"><?= __('upcoming_tours') ?></span>
            </td>
        </tr>
        <tr>
            <td><?= __('visiting') ?>: <span class="red"><?= $tour->city_title ?></span> </td>
        </tr>
        <tr>
            <td><?= $this->t('date') ?>: <b><?= date("F d, Y", strtotime($tour->date_from)) ?> - <?= date("F d, Y", strtotime($tour->date_to)) ?></b> </td>
        </tr>
        <tr>
            <td><?= $this->t('tour_phone') ?>: <b><?= $tour->phone ?></b> </td>
        </tr>
        <tr>
            <td><?= __('status') ?>:  <b><?= __('i_am_coming_soon_to_tour') ?>. (<?= $this->getDaysInBetween(time(), strtotime($tour->date_from)) ?> <?= __('days') ?>)</b> </td>
        </tr>
        <? endforeach ?>
    </tbody>
</table>
<? endif ?>
<? else: ?>
<p>
    <?= __('no_tours_found') ?>
</p>
<? endif ?>
</div>


